function [E, t] = AllMethods(R)
% 
% This function takes as input a rotation matrix and returns the Euler 
% parameters generated by all methods contained in this folder and the time 
% needed for each method to computed them.
%

%%% Trigonometric methods

[E(1,:), t(1)] = Trigonometric_1(R);
[E(2,:), t(2)] = Trigonometric_2(R);

%%% Algebraic methods

[E(3,:), t(3)] = ChiaveriniSiciliano(R);
[E(4,:), t(4)] = Hughes(R);
[E(5,:), t(5)] = Shepperd(R);
[E(6,:), t(6)] = SarabandiThomas(R);
[E(7,:), t(7)] = Cayley(R);

%%% Numerical methods 

[E(8,:), t(8)] = Coope(R,1);
[E(9,:), t(9)] = Coope(R,2);
[E(10,:), t(10)] = BarItzhack_1(R,1);
[E(11,:), t(11)] = BarItzhack_1(R,2);
[E(12,:), t(12)] = BarItzhack_2(R,1);
[E(13,:), t(13)] = BarItzhack_2(R,2);


end

